View Issue Details

IDProjectCategoryView StatusLast Update
0001310SymmetricDSImprovementpublic2014-12-01 07:26
ReporterchensonAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.6.14Fixed in Version3.6.14 
Summary0001310: Support sql dialect 1 for firebird
Descriptionhttps://sourceforge.net/p/symmetricds/discussion/739236/thread/2951414f/
TagsNo tags attached.

Activities

elong

2014-11-25 16:43

developer   ~0000604

Also need to add ?sql_dialect=1 onto the JDBC URL for SymmetricDS to work properly.

admin

2014-11-28 14:05

administrator  

patch-3.6.13-1310.zip (39,488 bytes)

Related Changesets

SymmetricDS: master 1621cdd1

2014-11-25 15:25:45

erilong

Details Diff
0001310: Support sql dialect 1 for firebird
0001310
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/JdbcSymmetricDialectFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/Firebird20SymmetricDialect.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/Firebird20TriggerTemplate.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/Firebird21SymmetricDialect.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/Firebird21TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDialect1DdlBuilder.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDialect1DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2013-07-08 07:55 chenson New Issue
2014-11-25 16:00 Changeset attached => SymmetricDS trunk r8961
2014-11-25 16:43 elong Note Added: 0000604
2014-11-25 16:43 elong Status new => resolved
2014-11-25 16:43 elong Fixed in Version => 3.7.0
2014-11-25 16:43 elong Resolution open => fixed
2014-11-25 16:43 elong Assigned To => elong
2014-11-28 12:57 admin Target Version => 3.7.0
2014-11-28 13:03 chenson Project SymmetricDS Pro => SymmetricDS
2014-11-28 14:00 Changeset attached => SymmetricDS 3.6 r8973
2014-11-28 14:03 admin Fixed in Version 3.7.0 => 3.6.14
2014-11-28 14:03 admin Target Version 3.7.0 => 3.6.14
2014-11-28 14:05 admin File Added: patch-3.6.13-1310.zip
2014-12-01 07:26 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 1621cdd1